Skip to content
Permalink
Browse files

Bump makefile boost version to 1.65

Summary:
[Mcrouter] Bump makefile boost version from 1.51 to 1.65.

This also bumps the Ubuntu release shipping the minimum boost version from 16.04 LTS (xenial) to 18.04 LTS (bionic).

Reviewed By: stuclar

Differential Revision: D18189491

fbshipit-source-id: f7d33f0d366403f3dba88059071a21196f903c22
  • Loading branch information...
yfeldblum authored and facebook-github-bot committed Oct 29, 2019
1 parent 524f00d commit e78f245f83ea79e27e855f935a215e2b0934e3ae
Showing with 5 additions and 9 deletions.
  1. +3 −7 README.md
  2. +2 −2 mcrouter/configure.ac
@@ -13,18 +13,14 @@ See https://github.com/facebook/mcrouter/wiki to get started.

### New! Ubuntu package available

Currently, we support Ubuntu Xenial (16.04) and Bionic (18.04) amd64.
Currently, we support Ubuntu Bionic (18.04) amd64.
Here is how to install it:

Add the repo key:

$ wget -O - https://facebook.github.io/mcrouter/debrepo/xenial/PUBLIC.KEY | sudo apt-key add
$ wget -O - https://facebook.github.io/mcrouter/debrepo/bionic/PUBLIC.KEY | sudo apt-key add

For Xenial: add the following line to apt sources file /etc/apt/sources.list

deb https://facebook.github.io/mcrouter/debrepo/xenial xenial contrib

For Bionic: add the following line to apt sources file /etc/apt/sources.list
Add the following line to apt sources file /etc/apt/sources.list

deb https://facebook.github.io/mcrouter/debrepo/bionic bionic contrib

@@ -101,8 +101,8 @@ if test "$mcrouter_cv_prog_cc_gflags" != "yes"; then
fi

# check for boost libs
AX_BOOST_BASE([1.51.0], [], [AC_MSG_ERROR(
[Please install boost >= 1.51.0 (context, filesystem, program_options, regex and system)])])
AX_BOOST_BASE([1.65.1], [], [AC_MSG_ERROR(
[Please install boost >= 1.65.1 (context, filesystem, program_options, regex and system)])])
# TODO: also check boost::ctx, not only boost::context
AX_BOOST_CONTEXT
AX_BOOST_FILESYSTEM

0 comments on commit e78f245

Please sign in to comment.
You can’t perform that action at this time.